--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: Struct
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: attributes
- !ruby/object:RI::MethodSummary 
  name: object_state
- !ruby/object:RI::MethodSummary 
  name: replace
name: Struct
superclass: Object
